# Uses of Interface
org.apache.cxf.transport.Conduit

Packages that use Conduit
Package
Description
org.apache.cxf.endpoint
org.apache.cxf.interceptor
org.apache.cxf.message
org.apache.cxf.policy
org.apache.cxf.transport
org.apache.cxf.ws.addressing

- ## Uses of Conduit in org.apache.cxf.endpoint

  Fields in org.apache.cxf.endpoint with type parameters of type Conduit
  Modifier and Type
  Field
  Description
  `protected List<Conduit>`
  AbstractConduitSelector.`conduits`
  Methods in org.apache.cxf.endpoint that return Conduit
  Modifier and Type
  Method
  Description
  `protected Conduit`
  AbstractConduitSelector.`createConduit(Message message, Exchange exchange, ConduitInitiator conduitInitiator)`
  `protected Conduit`
  AbstractConduitSelector.`findCompatibleConduit(Message message)`
  If address protocol was changed, conduit should be re-initialised
  `Conduit`
  Client.`getConduit()`
  Get the Conduit that messages for this client will be sent on.
  `Conduit`
  ClientImpl.`getConduit()`
  `protected Conduit`
  AbstractConduitSelector.`getSelectedConduit(Message message)`
  Mechanics to actually get the Conduit from the ConduitInitiator if necessary.
  `Conduit`
  ConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `Conduit`
  DeferredConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `Conduit`
  NullConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `Conduit`
  PreexistingConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `Conduit`
  UpfrontConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  Methods in org.apache.cxf.endpoint with parameters of type Conduit
  Modifier and Type
  Method
  Description
  `protected void`
  AbstractConduitSelector.`removeConduit(Conduit conduit)`
  `protected boolean`
  AbstractConduitSelector.`replaceEndpointAddressPropertyIfNeeded(Message message, String endpointAddress, Conduit cond)`
  Constructors in org.apache.cxf.endpoint with parameters of type Conduit
  Modifier
  Constructor
  Description
  ``
  `AbstractConduitSelector(Conduit c)`
  Constructor, allowing a specific conduit to override normal selection.
  ``
  `ClientImpl(Bus b, Endpoint e, Conduit c)`
  ``
  `DeferredConduitSelector(Conduit c)`
  Constructor, allowing a specific conduit to override normal selection.
  ``
  `PreexistingConduitSelector(Conduit c)`
  Constructor.
  ``
  `PreexistingConduitSelector(Conduit c, Endpoint e)`
  Constructor.
  ``
  `UpfrontConduitSelector(Conduit c)`
  Constructor, allowing a specific conduit to override normal selection.

- ## Uses of Conduit in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return Conduit
  Modifier and Type
  Method
  Description
  `protected static Conduit`
  OutgoingChainInterceptor.`getBackChannelConduit(Message message)`
  `static Conduit`
  MessageSenderInterceptor.`getConduit(Message message)`

- ## Uses of Conduit in org.apache.cxf.message

  Methods in org.apache.cxf.message that return Conduit
  Modifier and Type
  Method
  Description
  `Conduit`
  Exchange.`getConduit(Message message)`
  `Conduit`
  ExchangeImpl.`getConduit(Message message)`
  Methods in org.apache.cxf.message with parameters of type Conduit
  Modifier and Type
  Method
  Description
  `void`
  Exchange.`setConduit(Conduit conduit)`
  `void`
  ExchangeImpl.`setConduit(Conduit c)`

- ## Uses of Conduit in org.apache.cxf.policy

  Methods in org.apache.cxf.policy with parameters of type Conduit
  Modifier and Type
  Method
  Description
  `<T> T`
  PolicyDataEngine.`getClientEndpointPolicy(Message m, EndpointInfo ei, Conduit c, PolicyCalculator<T> policyCalculator)`

- ## Uses of Conduit in org.apache.cxf.transport

  Classes in org.apache.cxf.transport that implement Conduit
  Modifier and Type
  Class
  Description
  `class`
  `AbstractConduit`
  Abstract base class factoring out common Conduit logic, allowing non-decoupled transports to be written without any regard for the decoupled back-channel or partial response logic.
  `protected class`
  `AbstractDestination.AbstractBackChannelConduit`
  Backchannel conduit.
  Methods in org.apache.cxf.transport that return Conduit
  Modifier and Type
  Method
  Description
  `Conduit`
  AbstractDestination.`getBackChannel(Message inMessage)`
  Retrieve a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination.
  `Conduit`
  Destination.`getBackChannel(Message inMessage)`
  Retreive a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination.
  `Conduit`
  ConduitInitiator.`getConduit(EndpointInfo targetInfo, Bus bus)`
  Initiate an outbound Conduit.
  `Conduit`
  ConduitInitiator.`getConduit(EndpointInfo localInfo, org.apache.cxf.ws.addressing.EndpointReferenceType target, Bus bus)`
  Initiate an outbound Conduit.
  `protected abstract Conduit`
  AbstractDestination.`getInbuiltBackChannel(Message inMessage)`

- ## Uses of Conduit in org.apache.cxf.ws.addressing

  Methods in org.apache.cxf.ws.addressing that return Conduit
  Modifier and Type
  Method
  Description
  `static Conduit`
  ContextUtils.`getConduit(Conduit conduit, Message message)`
  Retreive Conduit from Exchange if not already available
  Methods in org.apache.cxf.ws.addressing with parameters of type Conduit
  Modifier and Type
  Method
  Description
  `static Conduit`
  ContextUtils.`getConduit(Conduit conduit, Message message)`
  Retreive Conduit from Exchange if not already available